namespace Cute;

public class PublistTransitionCode : NetworkTask
{
	public class Email : PostParams
	{
		public string password { get; set; }
	}

	private CuteNetworkDefine.ApiType apiType = CuteNetworkDefine.ApiType.GetTransitionCode;

	public override string Url => $"{CustomPreference.GetApplicationServerURL()}{CuteNetworkDefine.ApiUrlList[apiType]}";

	public void SetParameter(string password)
	{
		Email email = new Email();
		email.password = password;
		base.Params = email;
	}

	protected override int Parse()
	{
		return base.Parse();
	}
}
